[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.MonitorFromRect

Finds the monitor covering most of a rectangle.

## Declaration

Source position: winapih.inc line 201

`public function TWidgetSet.MonitorFromRect(`
`lprcScreenCoords: PRect;`
`dwFlags: DWord`
`):HMONITOR; virtual;`

## Arguments

`lprcScreenCoords` |  | The logical screen coordinates.
`dwFlags` |  | How coordinates outside any monitor are handled; see MonitorFromPoint.Result.

## Function result

The monitor handle; see dwFlags.

## See also

TWidgetSet.MonitorFromPoint |  | Finds a monitor from the screen coordinates.